//defining the width and height for svg 
var width = 950,
    height = 500
//appending the svg 
var svg = d3.select("body").append("svg")
    .attr("width", width)
    .attr("height", height);
const colorScale = ["none","red","green","blue", "gold", "orange", "black"];
  //constructing a the force layout
var force = d3.layout.force()
    .gravity(.05)
    .distance(100)
    .charge(-100)
    .size([width, height]);

//loading the json data 
d3.json("data1.json", function(json) {
  force
      .nodes(json.nodes)
      .links(json.links)
      .start();
// creating a the link for nodes
  var link = svg.selectAll(".link")
      .data(json.links)
    .enter().append("line")
      .attr("class", "link")
    .style("stroke-width", function(d) { return 10 * d.weight; });

//creating a function to coonect nodes
  var node = svg.selectAll(".node")
      .data(json.nodes)
    .enter().append("g")
      .attr("class", "node")
      .call(force.drag);

  // appending the node shapes
  node.append("circle")
      .attr("r", d=>d.group*6)
  		.attr("fill", d => colorScale[d.group]);
  
//appending the text 
  node.append("text")
      .attr("dx", 12)
      .attr("dy", ".35em")
      .text(function(d) { return d.country });

//parse the attributes of the json to settle perfect position to the nodes
  force.on("tick", function() {
    link.attr("x1", function(d) { return d.source.x; })
        .attr("y1", function(d) { return d.source.y; })
        .attr("x2", function(d) { return d.target.x; })
        .attr("y2", function(d) { return d.target.y; });

    node.attr("transform", function(d) { return "translate(" + d.x + "," + d.y + ")"; });
  });
});
